function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"1",100,"messageinfo") 
-- return;end;
showoptons(0);
return;end;

function mini_create ()
show_help_wnd=true;
init_mini(1);
create_mini(19,49,30,265,103,480,480,1001,2,5,0,-1);
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)

	
	if sender==16 then
		if not help then
			help=true;
			CreateWindow(200,200,"1",100,"messageinfo")
		end;	
	   BlockCursor(false);
	return;end;
	if sender==30 then
		setcurentleaf("grimerka",12,0);	
		DarkScreen(false);
		if flags.minicomplete then	
		    StopEmiter("Mirror");
			--speciale_action(2,58,true);
			speciale_action(2,89,true);
			speciale_action(2,90,true);
			speciale_action(2,91,true,2);
			setcolor(91,0,0,0,1,1);
			Set_Cursor(89,3);	
			savegame(SaveLevel())
		return;end;
		DeleteResource("em_channel");
		DeleteResource("em_bg");
		DeleteResource("em_btn1");

		DeleteResource("em_light");			
		DeleteResource("electr");	
	return; end;

	if sender==36 then
		if id==2100 then
			speciale_action(2,1053);
		return;end;
		if id==2101 then
			BlockCursor(false);
		    clear_satelite_leaf("grimerka");
		return;end;
	return;end;
	if sender==37 then
	   skipping=true;
	return;end;	
	if sender==10 then
		flags.minicomplete=true;
		speciale_action(2,1300)
		StartAnimation(1300)
		StartTimer(2100,2.5);
		StartTimer(2101,4);
		playeffect("Electr");
		BlockCursor(true);		
	return; end;
	
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;	
	
	if sender==1 then
	
	if id==6000 then
		   CreateWindow(200,200,"1",100,"messageinfo")
	return;end;		
		
	if id==5000  then
	if skipping then
		if not flags.minicomplete then
			playeffect("skip");
			SkipMini();
		return;end;	
	return;end;
	return;end;
	if id==1050 then
	   clear_satelite_leaf("grimerka");
	   playeffect("close");
	   finish_mini_game(false);
	return;end;
		playeffect("pclick");
		check_mini_game_puzzle(id,7);
	return;end;

end;
function mini_delete ()

end;